# getRelatedProperties

Batch property attributes by id (esId): owner of record and mailing address, beds/baths/size, year built, last sale, value, occupancy, county, lat/long, years owned, `ownerPortfolioSize` (parcels the owner holds).

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "getRelatedProperties", "variables": {...} }`
- Scope: `READ`
- Type: query
- Idempotency: a read; rejects `Idempotency-Key`
- Rate-limited: no

## Variables

- `propertyIds`: `[ID!]!` (required)

## Response (data, an example)

```json
{
  "property": {
    "fetchRelatedProperties": [
      {
        "propertyId": "<ID>",
        "propertyType": "SINGLE_FAMILY",
        "numberOfBedrooms": 0,
        "numberOfBathrooms": 0,
        "livingAreaSquareFeet": 0,
        "yearBuilt": 0,
        "lastSaleDate": "2026-01-01T00:00:00.000Z",
        "lastSaleAmount": "…",
        "estimatedValueDollars": "…",
        "ownerOccupied": true,
        "mlsStatus": "FOR_RENT",
        "spicyLeadScore": 0,
        "nameOnDeedUnformatted": "…",
        "coOwnerNameOnDeedUnformatted": "…",
        "ownerAddressFull": "…",
        "addressFull": "…",
        "countyFips": "…",
        "countyName": "…",
        "latitude": 0,
        "longitude": 0,
        "yearsOfOwnership": 0,
        "ownerPortfolioSize": 0
      }
    ]
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "getRelatedProperties",
    "variables": {
      "propertyIds": [
        "<propertyIds>"
      ]
    }
  }'
```
